Signatures

Signature Delete

DELETE
/signatures/signature/{signatureId}/delete

Removes a specific signature from the Storage system.

  • The signature is identified using the signatureId path parameter.
  • This endpoint allows users to delete a previously stored signature associated with their account.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

signatureId*string

The ID of the signature that should be deleted.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/signatures/signature/string/delete"
{  "signature": {    "id": "123e4567-e89b-12d3-a456-426614174000",    "message": "Signature deleted."  }}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/signature/{signatureId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "bfc356b5-36f6-4b9c-8833-a5d6157072e9",  "operationId": "232b66fc8dfff3e11c25849dee22bce5"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 500,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/signatures/signature/{signatureId}/delete",  "dateTime": "2026-07-20T12:00:00.000Z",  "userId": "c693975d-df41-4167-8db4-96b84ea213c2",  "operationId": "b43cf7be4ff6bbc688ae767bd4a1ad99"}